common.h File Reference
`#include <stdint.h>`
`#include <stdlib.h>`
`#include <string.h>`

Go to the source code of this file.

## Macros

#define | MSG_DEBUG
#define | wpa_hexdump(x, args...)
#define | wpa_hexdump_key(x, args...)
#define | wpa_printf(x, args...)
#define | os_memcpy(x, y, z) memcpy(x, y, z)
#define | os_memcmp(x, y, z) memcmp(x, y, z)
#define | os_memset(x, y, z) memset(x, y, z)
#define | os_malloc(x) malloc(x)
#define | os_free(x) free(x)
#define | __must_check

## Typedefs

typedef uint8_t | u8
typedef uint32_t | u32

## Macro Definition Documentation

## __must_check

#define __must_check

## MSG_DEBUG

#define MSG_DEBUG

## os_free

#define os_free | ( |  | x | ) | free(x)

## os_malloc

#define os_malloc | ( |  | x | ) | malloc(x)

## os_memcmp

#define os_memcmp | ( |  | x,
|  |  | y,
|  |  | z
| ) |  | memcmp(x, y, z)

## os_memcpy

#define os_memcpy | ( |  | x,
|  |  | y,
|  |  | z
| ) |  | memcpy(x, y, z)

## os_memset

#define os_memset | ( |  | x,
|  |  | y,
|  |  | z
| ) |  | memset(x, y, z)

## wpa_hexdump

#define wpa_hexdump | ( |  | x,
|  |  | args...
| ) |  |

## wpa_hexdump_key

#define wpa_hexdump_key | ( |  | x,
|  |  | args...
| ) |  |

## wpa_printf

#define wpa_printf | ( |  | x,
|  |  | args...
| ) |  |

## Typedef Documentation

## u32

typedef uint32_t u32

## u8

typedef uint8_t u8